Skip to main content
POST
/
api
/
v1
/
projects
/
{id}
/
statuses
Add a custom status to a project.
curl --request POST \
  --url https://api.backside.app/api/v1/projects/{id}/statuses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "category": "<string>",
  "name": "<string>",
  "color": "<string>",
  "description": "<string>",
  "position": 123
}
'
{
  "category": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "name": "<string>",
  "position": 123,
  "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "color": "<string>",
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Project ID

Body

application/json
category
string
required
name
string
required
color
string | null
description
string | null
position
integer<int32> | null

Response

201 - application/json

Status created

category
string
required
created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
name
string
required
position
integer<int32>
required
project_id
string<uuid>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
color
string | null
description
string | null